using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixUserManager.Class;

namespace PhoenixUserManager.GUI
{
    public partial class fr_IMain : Form
    {
        #region Variables
        /// <summary>
        /// Information about the new user
        /// </summary>
        private UserManager vUserManager =
            new UserManager("PhoenixUserManag", "", "jibedoubleve.mine.nu", "Phoenix", "Phoenix");
        #endregion

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_IMain()
        {
            InitializeComponent();
            pg_Properties.SelectedObject = this.vUserManager;
        }
        #endregion

        #region Events
        /// <summary>
        /// Click on OK, add the user
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Click_OK(object sender, EventArgs e)
        {
            try
            {
                DialogResult dr = DialogResult.Yes;
                if (this.vUserManager.Exists(vUserManager.Name, vUserManager.Surname, vUserManager.DateOfBirth))
                {
                    dr = MessageBox.Show(vUserManager.Name + " " + vUserManager.Surname + " exists. Add anyways?",
                        "Asterisk", MessageBoxButtons.YesNo, MessageBoxIcon.Asterisk);
                }
                if (dr == DialogResult.Yes)
                    this.vUserManager.Add(true);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est intervenue lors de l'inscription!\r\n" + ex.Message,
                    "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        /// <summary>
        /// Click on cancel
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Click_Cancel(object sender, EventArgs e)
        {
            DialogResult dr = MessageBox.Show("Etes vous sr de vouloir annuler l'inscription?",
                "Question", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
            if (DialogResult.No == dr) return;
            this.Close();
        }
        /// <summary>
        /// Search a user
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MenuClick_Search(object sender, EventArgs e)
        {
            fr_SearchLog fr = new fr_SearchLog();
            fr.ShowDialog();
        }
        /// <summary>
        /// Add a new report in the database
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void Menuclick_AddReport(object sender, EventArgs e)
        {
            fr_AddReport fr = new fr_AddReport();
            fr.ShowDialog();
        }
        /// <summary>
        /// Search user        
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MenuClick_SearchUser(object sender, EventArgs e)
        {
            fr_SearchUser fr = new fr_SearchUser();
            fr.Software = "Phoenix";
            fr.ShowDialog();
        }
        #endregion
    }
}